Page MenuHomePhabricator

Hide bot edits from the watch list not taken into account
Closed, DeclinedPublic

Description

This might possibly be an API issue ? But it definitely is affecting the users in the mobile version.


Version: unspecified
Severity: normal

Details

Reference
bz68365

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:37 AM
bzimport set Reference to bz68365.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Jul 22 2014, 9:48 AM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/y80vKkKY

Change 149326 had a related patch set uploaded by Jdlrobson:
WIP: Make mobile watchlist use core code

https://gerrit.wikimedia.org/r/149326

Patch was abandoned. We need to refactor core Watchlist code to support mobile use case.

Nemo_bis triaged this task as High priority.May 2 2015, 9:57 AM
Jhernandez lowered the priority of this task from High to Medium.Aug 17 2015, 12:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 12:02 PM
MaxSem removed a subscriber: MaxSem.Aug 17 2015, 5:33 PM
Jdlrobson lowered the priority of this task from Medium to Low.Feb 2 2016, 6:22 PM
MBinder_WMF lowered the priority of this task from Low to Lowest.Jul 4 2016, 7:26 PM
MBinder_WMF raised the priority of this task from Lowest to Low.
MBinder_WMF moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson closed this task as Declined.May 22 2017, 10:12 AM

We don't have capacity to reimplement the watchlist anymore then we currently have. The problem with the current implementation is it directly hits the database rather than making use of an api method provided by core to access to all rows in the watchlist. It thus overlooks things like preferences. Continuing like this is unsustainable.

I will make sure this particular feature is added as a requirement to T109277 which aims to increase code quality of the special watchlist code in core to allow it to be skinned for mobile. At very least that work should give us an api/model of the data in the watchlist and simply override the presentation.

Please bear with me a week or so to do this.
Ps. Not sure if declining or merging as duplicate was appropriate here.

kaldari removed a subscriber: kaldari.May 23 2017, 10:41 PM